Lineup
Patch broadcast schedule
Base model view set providing standardized CRUD operations and error handling.
This view set enforces consistent response formats, error handling patterns, and logging across all API endpoints. Subclasses must override the class variables below.
PATCH
/
api
/
v1
/
lineup
/
{id}
Patch broadcast schedule
curl --request PATCH \
--url https://api.capedigital.co.ke/content/api/v1/lineup/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"month": 1073741823,
"year": 1073741823,
"title": "<string>",
"version": 1073741823,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"metadata": "<unknown>"
}
'import requests
url = "https://api.capedigital.co.ke/content/api/v1/lineup/{id}"
payload = {
"channel": "<string>",
"month": 1073741823,
"year": 1073741823,
"title": "<string>",
"version": 1073741823,
"effective_from": "2023-12-25",
"effective_to": "2023-12-25",
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
month: 1073741823,
year: 1073741823,
title: '<string>',
version: 1073741823,
effective_from: '2023-12-25',
effective_to: '2023-12-25',
metadata: '<unknown>'
})
};
fetch('https://api.capedigital.co.ke/content/api/v1/lineup/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"medium": "TV",
"channel": "TV47",
"month": 5,
"year": 2026,
"title": "TV47 MAY 2026",
"version": 1,
"effective_from": "2026-05-01",
"effective_to": "2026-05-31",
"uploaded_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Doe",
"employee_number": "EMP-001"
},
"slot_count": {
"2026-05-01": {
"day": "THU",
"count": 12
}
},
"metadata": {},
"created_at": "2026-05-01T08:00:00Z",
"updated_at": "2026-05-01T08:00:00Z"
}Authorizations
Enter your JWT token in the format: Bearer
Path Parameters
A UUID string identifying this Broadcast Schedule.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Required string length:
1 - 100Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Required string length:
1 - 255Required range:
0 <= x <= 2147483647Response
200 - application/json
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Maximum string length:
100Required range:
0 <= x <= 2147483647Required range:
0 <= x <= 2147483647Maximum string length:
255Show child attributes
Show child attributes
Required range:
0 <= x <= 2147483647⌘I
Patch broadcast schedule
